with GNATCOM.Dispinterface;

package MSHTML.ISVGMaskElement_Object is

   type ISVGMaskElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_maskUnits
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_maskUnits
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_maskContentUnits
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_maskContentUnits
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_x
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_x
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_y
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_y
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_width
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_width
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_height
     (This : ISVGMaskElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_height
     (This : ISVGMaskElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGMaskElement_Object;

